import request from '/@/utils/request';

// 添加血管通路
export function addVascularAccess(data: object) {
	return request({
		url: '/patient/vascular/access/add',
		method: 'post',
		data
	});
}
// 删除血管通路
export function deleteVascularAccess(id: string) {
	return request({
		url: '/patient/vascular/access/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		},
	});
}
// 修改血管通路
export function editVascularAccess(data: object) {
	return request({
		url: '/patient/vascular/access/update',
		method: 'post',
		data
	});
}
// 获取血管通路列表
export function getVascularAccessList(params: object) {
    return request({
      url: '/patient/vascular/access/list',
      method: 'post',
      params
    })
}

// 获取维护日志
export function getMaintenanceLog(params: object) {
    return request({
      url: '/patient/vascular/access/vs/maintenance/record/listUpdateLog',
      method: 'post',
      params
    })
}
// 获取维护记录
export function getMaintenance(params: object) {
    return request({
      url: '/patient/vascular/access/vs/maintenance/list',
      method: 'post',
      params
    })
}
// 添加维护记录
export function addMaintenance(data: object) {
	return request({
		url: '/patient/vascular/access/vs/maintenance/add',
		method: 'post',
		data
	});
}
// 修改维护记录
export function editMaintenance(data: object) {
	return request({
		url: '/patient/vascular/access/vs/maintenance/update',
		method: 'post',
		data
	});
}
// 删除维护记录
export function deleteMaintenance(id: string) {
	return request({
		url: '/patient/vascular/access/vs/maintenance/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		},
	});
}

// 获取拔出日志
export function getExtractionLog(params: object) {
    return request({
      url: '/patient/vascular/access/vs/removal/record/listUpdateLog',
      method: 'post',
      params
    })
}
// 获取拔出记录
export function getExtraction(params: object) {
    return request({
      url: '/patient/vascular/access/vs/removal/list',
      method: 'post',
      params
    })
}
// 添加拔出记录
export function addExtraction(data: object) {
	return request({
		url: '/patient/vascular/access/vs/removal/add',
		method: 'post',
		data
	});
}
// 修改拔出记录
export function editExtraction(data: object) {
	return request({
		url: '/patient/vascular/access/vs/removal/update',
		method: 'post',
		data
	});
}
// 删除拔出记录
export function deleteExtraction(id: string) {
	return request({
		url: '/patient/vascular/access/vs/removal/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		},
	});
}

// 添加超声检查
export function addSoundCheck(data: object) {
	return request({
		url: '/patient/vascular/access/vs/b/ultra/sound/add',
		method: 'post',
		data
	});
}
// 修改超声检查
export function editSoundCheck(data: object) {
	return request({
		url: '/patient/vascular/access/vs/b/ultra/sound/update',
		method: 'post',
		data
	});
}
// 删除超声检查
export function deleteSoundCheck(id: string) {
	return request({
		url: '/patient/vascular/access/vs/b/ultra/sound/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		}
	});
}
// 获取超声检查列表
export function getSoundList(params: object) {
	return request({
		url: '/patient/vascular/access/vs/b/ultra/sound/list',
		method: 'post',
		params
	})
}

// 获取穿刺信息列表
export function getPunctureList(params: object) {
	return request({
		url: '/patient/vascular/access/vs/puncture/list',
		method: 'post',
		params
	})
}
// 添加穿刺信息
export function addPunctureInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/puncture/add',
		method: 'post',
		data
	});
}
// 修改穿刺信息
export function editPunctureInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/puncture/update',
		method: 'post',
		data
	});
}
// 删除穿刺信息
export function deletePunctureInfo(id: string) {
	return request({
		url: '/patient/vascular/access/vs/puncture/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		}
	});
}

// 获取并发症处理列表
export function getComplicationList(params: object) {
	return request({
		url: '/patient/vascular/access/vs/bfz/list',
		method: 'post',
		params
	})
}
// 添加并发症
export function addBFZInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/bfz/add',
		method: 'post',
		data
	});
}
// 修改并发症
export function editComplicationInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/bfz/update',
		method: 'post',
		data
	});
}
// 删除并发症
export function deleteComplicationInfo(id: string) {
	return request({
		url: '/patient/vascular/access/vs/bfz/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		}
	});
}

// 添加导管信息
export function addPipeInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/pipe/add',
		method: 'post',
		data
	});
}
// 修改导管信息
export function editPipeInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/pipe/update',
		method: 'post',
		data
	});
}
// 获取导管信息列表
export function getPipeList(params: object) {
	return request({
		url: '/patient/vascular/access/vs/pipe/list',
		method: 'post',
		params
	})
}
// 删除导管信息
export function deletePipeInfo(id: string) {
	return request({
		url: '/patient/vascular/access/vs/pipe/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		}
	});
}

// 添加通路评估
export function addAssessInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/assess/add',
		method: 'post',
		data
	});
}
// 修改通路评估
export function editAssessInfo(data: object) {
	return request({
		url: '/patient/vascular/access/vs/assess/update',
		method: 'post',
		data
	});
}
// 获取通路评估列表
export function getAssessList(params: object) {
	return request({
		url: '/patient/vascular/access/vs/assess/list',
		method: 'post',
		params
	})
}
// 删除通路信息
export function deleteAssessInfo(id: string) {
	return request({
		url: '/patient/vascular/access/vs/assess/delete',
		method: 'post',
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		params: {
			id
		}
	});
}